Start Reverse Email
curl --request POST \
--url https://api.sixtyfour.ai/v1/reverse-email \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"lead": {
"email": "saarth.work@example.com"
}
}
'import requests
url = "https://api.sixtyfour.ai/v1/reverse-email"
payload = { "lead": { "email": "saarth.work@example.com" } }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({lead: {email: 'saarth.work@example.com'}})
};
fetch('https://api.sixtyfour.ai/v1/reverse-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/reverse-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'lead' => [
'email' => 'saarth.work@example.com'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/reverse-email"
payload := strings.NewReader("{\n \"lead\": {\n \"email\": \"saarth.work@example.com\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/v1/reverse-email")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"lead\": {\n \"email\": \"saarth.work@example.com\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/reverse-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lead\": {\n \"email\": \"saarth.work@example.com\"\n }\n}"
response = http.request(request)
puts response.read_body{
"job_id": "job_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"status": "running",
"created_at": "2026-11-03T18:04:12Z",
"next_poll_after": 5
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "This Idempotency-Key is already in use. Use a new key for a new request.",
"error_code": "idempotency_key_reused",
"request_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"retryable": false,
"param": null
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Legacy
Start Reverse Email
deprecated
Starts a person lookup from an email address and returns a job to poll.
Deprecated. Use POST /v1/people/contacts/reverse instead.
POST
/
v1
/
reverse-email
Start Reverse Email
curl --request POST \
--url https://api.sixtyfour.ai/v1/reverse-email \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"lead": {
"email": "saarth.work@example.com"
}
}
'import requests
url = "https://api.sixtyfour.ai/v1/reverse-email"
payload = { "lead": { "email": "saarth.work@example.com" } }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({lead: {email: 'saarth.work@example.com'}})
};
fetch('https://api.sixtyfour.ai/v1/reverse-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/reverse-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'lead' => [
'email' => 'saarth.work@example.com'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/reverse-email"
payload := strings.NewReader("{\n \"lead\": {\n \"email\": \"saarth.work@example.com\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/v1/reverse-email")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"lead\": {\n \"email\": \"saarth.work@example.com\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/reverse-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lead\": {\n \"email\": \"saarth.work@example.com\"\n }\n}"
response = http.request(request)
puts response.read_body{
"job_id": "job_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"status": "running",
"created_at": "2026-11-03T18:04:12Z",
"next_poll_after": 5
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "This Idempotency-Key is already in use. Use a new key for a new request.",
"error_code": "idempotency_key_reused",
"request_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"retryable": false,
"param": null
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Headers
Remembers a start so retries return the same Job without another charge. Maximum: 255 characters. A key is unique to one action within your organization. The same key with a different body returns 409 idempotency_key_reused. Uploads must match the filename and contents. JSON keys are remembered as long as the Job is available; CSV keys for 24 hours. Without a key, retries start new work.
Required string length:
1 - 255Body
application/json
Response
Job still running. Poll it.
Was this page helpful?